##############################################################################
#
# SubPlone - Simple, nested sites to go
# Copyright (C) 2005 Sidnei da Silva and contributors
#
# This library is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
##############################################################################
"""
$Id: permissions.py 8663 2005-05-23 16:32:15Z dreamcatcher $
"""

from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.CMFCore.CMFCorePermissions import ModifyPortalContent
from Products.CMFCore.CMFCorePermissions import View
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from Products.SubPlone.config import *
from Products.SubPlone.utils import ContentPermMap

AddReference = 'SubPlone: Add Reference'

perm_map = ContentPermMap()
#perm_map[ADD_PERMISSION] = (SITE_TYPE,)

# our way of saying all the other content types should get this permission
perm_map[AddPortalContent] = None
